Forum OpenACS Development: Re: Problem compiling nspostgres module in aolserver4.5.1

Collapse
Posted by Gustaf Neumann on
Can it be, that the line
#export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/loca/pgsql/lib:/usr/loca/pgsql/include
should read
#export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/pgsql/lib:/usr/local/pgsql/include
?
Collapse
Posted by rosae rosae on
Oops,

I misstyped the line I wrote when I posted in the forum. I solved the problem downloading the source not using the cvs command in the docs, but using the source from the page
http://sourceforge.net/projects/aolserver/files/nspostgres/

and compiling the 4.1 version of the module.

But now I have another problem even BIGGER than first because I get an ERROR that says:

Error: Bootstrap: RDBMS type could not be determined for any pool.

and I have well configured the database in the config file that uses the aolserver to start.

Any idea of what is happening?

Thanks in advance.

Collapse
Posted by César Clavería on
You need to copy:

./packages/acs-core-docs/www/files/nsd-postgres.txt

into where ever your aolserver was installed, in my case is /usr/local/aolserver so I do this:

cp ./packages/acs-core-docs/www/files/nsd-postgres.txt /usr/local/aolserver/bin/nsd-postgres

then open the file and make sure the PATH and LD_LIBRARY_PATH variables are correct.

chmod a+x /usr/local/aolserver/bin/nsd-postgres

Now start aolserver this way:

/usr/local/aolserver/bin/nsd-postgres -t /path/to/your/config.tcl